### Method

# Gck Builder find

#### Declaration [src]

    const GckAttribute*
    gck_builder_find (
      GckBuilder* builder,
      gulong attr_type
    )

#### Description [src]

Find an attribute in the builder. Both valid and invalid attributes (in the PKCS#11 sense) are returned. If multiple attributes exist for the given attribute type, then the first one is returned.

The returned `GckAttribute` is owned by the builder and may not be modified in any way. It is only valid until another attribute is added to or set on the builder, or until the builder is cleared or unreferenced.

#### Parameters

`attr_type`

  Type: `gulong`

  The type of attribute to find.

#### Return value

Type: `GckAttribute`

The attribute or `NULL` if not found.

The returned data is owned by the instance.